# $Revision: 1.12 $, $Date: 2002/06/27 06:55:46 $
Summary:	GNU/Linux Audio Mechanics
Summary(pl):	GNU/Linux Audio Mechanics - program do obrbki dwiku
Name:		glame
Version:	0.6.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.sourceforge.net/glame/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-info_no_version.patch
Patch2:		%{name}-use_sys_libltdl.patch
URL:		http://glame.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
%{!?_without_gnome:BuildRequires: gtk+-devel >= 1.2.0}
%{!?_without_gnome:BuildRequires: gnome-libs-devel}
BuildRequires:	guile-devel >= 1.4.1
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
GLAME is targeted to be the GIMP for audio processing. Its developer
want to provide a powerful, fast, stable and easily extensible sound
editor for Linux and compatible systems.

%description -l pl
GLAME ma by odpowiednikiem GIMP-a do obrbki dwiku. Jego twrcy
chc da w peni funkcjonalny, szybki, stabilny i atwo rozszerzalny
edytor dwik dla Linuksa i kompatybilnych z nim systemw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
aclocal -I macros
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	%{?_without_gnome:--disable-gui}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Multimediadir=%{_applnkdir}/Multimedia

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_libdir}/glame
%{_datadir}/glame
%{_applnkdir}/Multimedia/*
%{_infodir}/glame*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: glame.spec,v $
Revision 1.12  2002/06/27 06:55:46  kloczek
- updated to 0.6.2 (0.5.2 does not build with guile 1.4.1),
- added full regenerate ac/am/lt files,
- use system avalaible libltd (added use_sys_libltdl patch),
- added using %%find_lang macro,
- updated %files list.

Revision 1.11  2002/05/10 19:47:52  hunter
-removed %{dir} from %{dir} %{_libdir}/glame (plugins are in that dir)

Revision 1.10  2002/04/25 16:24:41  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/30 22:34:49  misiek
- don't include dir.gz; release 3

Revision 1.7  2002/01/18 02:13:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/29 09:22:51  kloczek
- cosmetics.

Revision 1.5  2001/11/29 09:03:13  qboosh
- adapterized, added descriptions, cosmetics; release 2

Revision 1.4  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/07/23 16:20:10  qboosh
- updated to 0.5.2, updated info patch
- _without_gnome (no GUI at all :/)

Revision 1.1  2000/10/29 18:24:58  kloczek
- written from scrach (NYF).
